%define oname gimp
%define name gimp2.6
%define version 2.6.5
%define release %mkrel 1
%define lib_major 0

# optional compile flags
%define enable_python 1
%{?_without_python: %global enable_python 0}

%define enable_lzw 0
%{?_with_lzw: %global enable_lzw 1}

%define req_gtk_version 2.12.1

%define api_version 2.0
%define abi_version 2.6
%define libname	%mklibname %{name}_ %{api_version} %{lib_major}
%define devlibname	%mklibname -d %{name}_ %{api_version}
%define olibname %mklibname %oname %{api_version} %{lib_major}
%define odevelname %mklibname -d %oname %{api_version}

Summary:	The GNU Image Manipulation Program
Name:		%name
Epoch:		1
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Graphics
URL:		http://www.gimp.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source0:	ftp://ftp.gimp.org/pub/gimp/v%{abi_version}/gimp-%version.tar.bz2
Source1:	ftp://ftp.gimp.org/pub/gimp/v%{abi_version}/gimp-%version.tar.bz2.md5
Source13:	gimp-scripting-sample.pl
Patch1: gimp-2.6.4-fix-linking.patch
#gw fix name in desktop file and disable startup notification
Patch6:         gimp-2.5.1-desktopentry.patch
BuildConflicts:	libgimp1.3 libgimp1.3-devel
BuildRequires:  libxfixes-devel
BuildRequires:	gegl-devel >= 0.0.18
BuildRequires:	imagemagick
BuildRequires:	aalib-devel
BuildRequires:	gtk-doc >= 1.0
BuildRequires:  libexif-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libgtk+2.0-devel >= %{req_gtk_version}
BuildRequires:	libgnomeui2-devel
BuildRequires:	libalsa-devel
%if %{mdkversion} >= 200800
BuildRequires:	libpoppler-glib-devel >= 0.4.1
%endif
BuildRequires:	libmng-devel
BuildRequires: 	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	perl
BuildRequires:	xpm-devel
BuildRequires:  librsvg-devel >= 2.14.0
BuildRequires:	libxmu-devel
BuildRequires:	intltool 
# mail plugin
BuildRequires:	sendmail-command
# help browser
BuildRequires:	libwebkitgtk-devel
# print plugin
#BuildRequires:	libgimpprint-devel >= 4.2.0
# python plugin
%if %enable_python
BuildRequires:	pygtk2.0-devel >= 2.10.4
BuildRequires:	python-devel
%endif
BuildRequires:  automake
BuildRequires:  lcms-devel
BuildRequires:  libwmf-devel >= 0.2.8
BuildRequires:  libhal-devel
BuildRequires:  libxext-devel
BuildRequires:  desktop-file-utils
%if %{mdkversion} <= 200800
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%endif
Provides: gimp1_3 gimp2_0 gimp2_2
Obsoletes: gimp1_3 gimp2_0 gimp2_2
# workaround libgimp not bumping its major on API/ABI changes:
Requires:	%{libname} = %epoch:%{version}
Requires(post):  desktop-file-utils
Requires(postun):  desktop-file-utils
Conflicts:	perl-Gimp < 2.2
Conflicts:	gutenprint-gimp2 < 5.0.1
Suggests: gimp-help-2
Conflicts: %oname
Conflicts: gimp2.5

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get them in ftp://ftp.gimp.org/pub/gimp/fonts/ if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

Build Options:
--without python        Disable pygimp (default enabled)
--with    lzw           Enable LZW compression in GIF (default disabled)

%package -n %{devlibname}
Summary:	GIMP plugin and extension development kit
Group:		Development/GNOME and GTK+
Requires:	libgtk+2.0-devel >= %{req_gtk_version}
Epoch:		1
License:	LGPLv2+
Requires:	%{libname} = %epoch:%{version}
#Provides:	gimp-devel = %{version}-%{release}
Provides:	gimp2.6-devel = %{version}-%{release}
#Provides:	libgimp-devel = %{version}-%{release}
Conflicts: %odevelname
Conflicts: gimp2.5-devel

%description -n %{devlibname}
Static libraries and header files for writing GIMP plugins and extensions.

%package -n %libname
Summary:	GIMP libraries
Group:		System/Libraries
Epoch:		1
License:	LGPLv2+
Provides:	libgimp%{api_version} = %{version}-%{release}
Conflicts: %olibname
Conflicts: %mklibname %{oname}2.5_ %{api_version} %{lib_major}


%description -n %libname
This is the library that provides core GIMP functionality.
It enable other programs to use GIMP's features but is mainly intended
to be used by the GIMP and its "external" plugins.

%package python
Summary:	GIMP python extension
Group:		Graphics
Epoch:		1
Requires:	pygtk2.0
Obsoletes: gimp1_3-python, gimp2_0-python, gimp2_2-python
Conflicts: %oname-python
Conflicts: gimp2.5-python

%description python
This package contains the python modules for GIMP, which act as a
wrapper to libgimp allowing the writing of plug-ins for Gimp.
This is similar to script-fu, except that you can use the full set
of Python extension modules from the plug-in, and you write plug-in
in python instead of in scheme.

%prep
%setup -q -n gimp-%version
%patch1 -p1 -b .fix-linking
%patch6 -p1 -b .desktopentry

#needed by patch1
autoreconf -I m4macros

%build

%configure2_5x --enable-default-binary=yes \
	--enable-mp=yes		\
	--enable-gtk-doc=yes	\
%if %enable_python
	--enable-python=yes	\
%else
	--enable-python=no	\
%endif
%if %enable_lzw
	--with-gif-compression=lzw	\
%else
	--with-gif-compression=rle	\
%endif

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

#clean unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/%{api_version}/*/*.a
find %buildroot -name \*la|xargs chmod 644

# workaround broken help system                                                                               
HELP_DIR=$RPM_BUILD_ROOT%_datadir/gimp/%api_version/help/C
[[ -d $HELP_DIR ]] || mkdir -p $HELP_DIR
HELP_IDX=$HELP_DIR/introduction.html
echo -e '<HTML><HEAD><TITLE>GIMP Base Library</HEAD>\n<BODY><UL>' > $HELP_IDX

/bin/ls $RPM_BUILD_ROOT%_datadir/gtk-doc/html/*/index.html | sed -e "s@$RPM_BUILD_ROOT@@g" >> $HELP_IDX
perl -pi -e 's!(.*/html/)([^/]*)(/index.html)!<LI><A HREF="\1\2\3">\2</A>!g' $HELP_IDX

echo '</UL></BODY></HTML>' >> $HELP_IDX

%find_lang gimp20 --all-name

%if %enable_python
chmod 755 %buildroot%_libdir/gimp/%{api_version}/plug-ins/*.py
mkdir -p %{buildroot}%{_libdir}/python%{pyver}/site-packages
echo %_libdir/gimp/%{api_version}/python > %{buildroot}%{_libdir}/python%{pyver}/site-packages/gimp.pth
echo %_libdir/gimp/%{api_version}/plug-ins >> %{buildroot}%{_libdir}/python%{pyver}/site-packages/gimp.pth
%endif

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_desktop_database
%update_icon_cache hicolor
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_desktop_database
%clean_icon_cache hicolor
%clean_menus
%endif

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f gimp20.lang
%defattr(-,root,root,0755)
%{_bindir}/gimp
%{_bindir}/gimp-%abi_version
%{_bindir}/gimp-console
%{_bindir}/gimp-console-%abi_version
%{_datadir}/applications/*
%{_datadir}/gimp
%dir %{_libdir}/gimp/%{api_version}
%dir %{_libdir}/gimp/%{api_version}/environ
%{_libdir}/gimp/%{api_version}/interpreters
%{_libdir}/gimp/%{api_version}/environ/default.env
%{_libdir}/gimp/%{api_version}/modules
%{_libdir}/gimp/%{api_version}/plug-ins
%exclude %{_libdir}/gimp/%{api_version}/plug-ins/*.py
%{_mandir}/man1/gimp*
%{_mandir}/man5/gimp*
%_datadir/icons/hicolor/*/apps/gimp.png
%_datadir/icons/hicolor/scalable/apps/gimp.svg
%config(noreplace) %{_sysconfdir}/gimp

%doc AUTHORS NEWS README README.i18n docs/Wilber*

%files -n %{devlibname}
%defattr(-,root,root,0755)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/gimptool-*
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/gimptool-*

%files -n %libname
%defattr(-,root,root,755)
# explicitly list all libs to avoid old libtool issue
%{_libdir}/libgimpconfig-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimp-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpthumb-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpbase-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpcolor-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpmath-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpmodule-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpui-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpwidgets-%{api_version}.so.%{lib_major}*

%if %enable_python
%files python
%defattr(-,root,root,755)
%{_libdir}/gimp/%{api_version}/environ/pygimp.env
%{_libdir}/gimp/%{api_version}/python
%{_libdir}/gimp/%{api_version}/plug-ins/*.py
%{_libdir}/python%{pyver}/site-packages/*.pth
%endif


%changelog
* Mon Feb 16 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:2.6.5-1mdv2009.0
+ Revision: 340780
- new release
- restore unversioned binary name, both 2.4 and 2.6 version can't be installed in parallel anyway
- enable MMX / SSE optimizations, they are used if available at runtime
- don't compile with fast-math
- update patch6, GIMP supports StartupNotify now
- rediff linking patch
- remove dead comments
- new release
- new release

  + Oden Eriksson <oeriksson@mandriva.org>
    - lowercase ImageMagick

* Sat Oct 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:2.6.1-1mdv2009.1
+ Revision: 291671
- new release
- fix summary: it's now stable

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 1:2.6.0-2mdv2009.0
+ Revision: 290759
- Add conflicts to upgrade from gimp2.5
- Fix description

* Wed Oct 01 2008 Frederic Crozat <fcrozat@mandriva.com> 1:2.6.0-1mdv2009.0
+ Revision: 290688
- Rename to gimp2.6.spec
- Switch to gimp2.6
- Release 2.6.0 (keep it parallel installable with 2.4 for now)
- Remove patch0, no longer needed

* Fri Sep 19 2008 Götz Waschk <waschk@mandriva.org> 1:2.5.4-1mdv2009.0
+ Revision: 285876
- new version

* Mon Aug 25 2008 Funda Wang <fundawang@mandriva.org> 1:2.5.3-1mdv2009.0
+ Revision: 275642
- New version 2.5.3

  + Götz Waschk <waschk@mandriva.org>
    - disable gimp-remote

* Thu Jul 17 2008 Götz Waschk <waschk@mandriva.org> 1:2.5.2-1mdv2009.0
+ Revision: 236758
- new version
- reenable gimp-remote
- fix buildrequires

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 1:2.5.1-1mdv2009.0
+ Revision: 228596
- new version
- bump deps
- build with webkit
- add patches 0,1 to fix the build
- update patch 6
- drop patches 8,9,10,11,12
- drop dep on gutenprint to make the package installable
- new unstable version
- conflict with stable gimp
- drop patch 4
- update patch 6
- update buildrequires
- update file list
- branch stable gimp

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Mar 21 2008 Giuseppe Ghibò <ghibo@mandriva.com> 1:2.4.5-3mdv2008.1
+ Revision: 189367
- Add missed .pth file for python in gimp-python subpackage.

* Tue Mar 18 2008 Frederic Crozat <fcrozat@mandriva.com> 1:2.4.5-2mdv2008.1
+ Revision: 188539
- Add conflicts to ease upgrade

* Sun Mar 02 2008 Frederic Crozat <fcrozat@mandriva.com> 1:2.4.5-1mdv2008.1
+ Revision: 177753
- Release 2.4.5

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 1:2.4.4-1mdv2008.1
+ Revision: 160504
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Add conditional BuildRoot for backports.

* Mon Dec 17 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:2.4.3-1mdv2008.1
+ Revision: 131016
- drop COPYING and useless docs like INSTALL etc.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 2.4.3

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - enable printing beside external gutenprint plugin.
    - Added Patch9, 10, 11, 12 for backporting gimp 2.4.2 under 2007.0 and 2007.1.

* Wed Nov 21 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.2-1mdv2008.1
+ Revision: 111024
- new version

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 1:2.4.1-2mdv2008.1
+ Revision: 109268
- rebuild for new lzma

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.1-1mdv2008.1
+ Revision: 104352
- new version

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-1mdv2008.1
+ Revision: 101760
- new version

* Thu Oct 11 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc3.1mdv2008.1
+ Revision: 97149
- new version

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc2.3mdv2008.0
+ Revision: 84560
- update patch 6 to disable startup notification (bug #33458)
- merge patch 7 with patch 6

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc2.2mdv2008.0
+ Revision: 84098
- fix buildrequires
- fix license
- remove old obsoletes from libgimp
- add crossdesktop category (bug #33385)

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc2.1mdv2008.0
+ Revision: 79129
- new version
- move gtk-doc files to devel package
- suggest gimp-help-2 to work around bug #9370

* Fri Aug 17 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc1.1mdv2008.0
+ Revision: 65296
- new version
- fix installation

* Wed Aug 15 2007 Frederic Crozat <fcrozat@mandriva.com> 1:2.3.19-2mdv2008.0
+ Revision: 63747
- Patch8: fix command used for .desktop (GNOME bug #467023)

* Thu Jul 26 2007 Funda Wang <fundawang@mandriva.org> 1:2.3.19-1mdv2008.0
+ Revision: 55806
- BR poppler-glib
- autotools is not needed here
- do not use versioned autotools
- New version 2.3.19

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [BUGFIX] Add mimetype image/x-xcf-gimp to fix launch under KDE (bug #23486)

* Tue Jun 12 2007 Götz Waschk <waschk@mandriva.org> 1:2.3.18-1mdv2008.0
+ Revision: 38365
- disable parallel build
- new version
- drop patch 0

* Mon Jun 11 2007 Olivier Blin <oblin@mandriva.com> 1:2.3.17-4mdv2008.0
+ Revision: 37968
- chestnut-pick g_slice fixes from Gimp SVN (2.3.17 was buggy and crashed on basic copy operations, upstream #441878)
- note: libx11-1.1.2-2mdv fixes additional crashes (in paintbrush usage)

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Rebuild with libslang2.

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 1:2.3.17-2mdv2008.0
+ Revision: 31936
- new version
- drop patch

* Wed May 23 2007 Götz Waschk <waschk@mandriva.org> 1:2.3.16-2mdv2008.0
+ Revision: 29998
- P7: security fix for CVE-2007-2356
- readd menu macros
- remove extra icons
- new version
- fix buildrequires
- readd changelog

